package com.jinyi.home.gardening

import android.graphics.Bitmap
import android.net.http.SslError
import android.os.Bundle
import android.support.v7.widget.Toolbar
import android.view.MenuItem
import android.view.View
import android.view.animation.AnimationUtils
import android.webkit.SslErrorHandler
import android.webkit.WebChromeClient
import android.webkit.WebView
import android.webkit.WebViewClient
import android.widget.ProgressBar
import android.widget.TextView
import com.jinyi.home.MainApplication
import com.jinyi.home.R
import com.jinyi.home.base.BaseActivity

/**
 * Created by Administrator on 2018/11/1.
 */
class GardeningWebViewActivityKt : BaseActivity() {
    var mToolbar : Toolbar?= null;
    var mWebView : WebView?= null
    var mTextTitle : TextView?= null;
    var mProgressBar : ProgressBar?= null;
    var sid : String  = ""
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_search_coupon)
        setToolBar();
        initView();
        initIntentData();
        initData();
    }

    private fun setToolBar() {
        mToolbar = findViewById(R.id.toolbar)
        mTextTitle = findViewById(R.id.text_title);
        mToolbar?.setTitle("")
        mTextTitle?.setText("票券核销")
        mToolbar?.setNavigationIcon(R.drawable.back_ic)
        setSupportActionBar(mToolbar)
        supportActionBar?.setDefaultDisplayHomeAsUpEnabled(true)
        supportActionBar?.setDisplayHomeAsUpEnabled(true)
    }

    private fun initView() {
        mProgressBar = findViewById(R.id.progress)
        mWebView = findViewById(R.id.webView)
    }

    private fun initIntentData() {
        if (intent.getStringExtra("sid")!=null) {
            this.sid = intent.getStringExtra("sid");
        }

    }


    private fun initData() {
        var webSettings = mWebView?.settings;
        webSettings?.setJavaScriptEnabled(true)
        webSettings?.setDomStorageEnabled(true)
        mWebView?.webViewClient = object : WebViewClient(){
            override fun onPageStarted(view: WebView?, url: String?, favicon: Bitmap?) {
                super.onPageStarted(view, url, favicon)
                mProgressBar!!.visibility = View.VISIBLE
                mProgressBar!!.startAnimation(AnimationUtils.loadAnimation(thisContext, R.anim.progress_animal))
            }

            override fun onPageFinished(view: WebView?, url: String?) {
                super.onPageFinished(view, url)
                mProgressBar?.visibility = View.GONE
            }
            override fun onReceivedSslError(view: WebView?, handler: SslErrorHandler?, error: SslError?) {
                handler?.proceed()
                super.onReceivedSslError(view, handler, error)

            }
        }
        mProgressBar!!.setVisibility(View.VISIBLE)
        mWebView?.setWebChromeClient(MyCouponWebChrome())
//        var urlString = String.format(MainApplication.DefaultValue.WEB_APP_URL + "?sid=%s", this.sid )    //正式的格式
        var urlString = this.sid

        mWebView?.loadUrl(urlString)

    }


    override fun onOptionsItemSelected(item: MenuItem?): Boolean {
        when (item?.itemId) {
            android.R.id.home -> onBackPressed()
        }
        return super.onOptionsItemSelected(item)
    }

    private inner class MyCouponWebChrome : WebChromeClient() {
        override fun onProgressChanged(view: WebView, newProgress: Int) {
            if (newProgress < 100) {
                mProgressBar?.setVisibility(View.VISIBLE)
                mProgressBar?.setProgress(newProgress)
                mProgressBar?.startAnimation(AnimationUtils.loadAnimation(thisContext, R.anim.progress_animal))
            } else {
                mProgressBar?.setVisibility(View.GONE)
            }
            super.onProgressChanged(view, newProgress)
        }
    }
}